#pragma once
#include "Gui/GuiMeter.h"
#include "Gui/Screen.h"

class MainScreen: public Screen {
public:
	explicit MainScreen(TextureManager* manager);
	virtual ~MainScreen() override;

	virtual void Draw() const override;
	virtual void Update(float elapsedSecs) override;

	void SetFuelMeterValue(float value) const;

private:
	GuiMeter* m_FuelMeter;
	
};
